List Extract Runs
List all extract runs.
Returns a summary of each run. Use GET /extract_runs/{id} to retrieve the full object including output and config.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
Query parameters
Filters extract runs by the extractor ID. If not provided, all extract runs are returned.
Example: "ex_BMdfq_yWM3sT-ZzvCnA3f"
Filters runs by the name of the file. Only returns runs where the file name contains this string.
Example: "invoice"
The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.
Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.
Response
You will get a list of summaries for each extract run. These are shortened versions of the full extract run object.
To get the full object, use the Get Extract Run endpoint.
The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.
Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

